<template>
    <div>
        <el-collapse-transition>
            <el-card style="border:0" :body-style="{'padding':'0px','margin':'0 auto'}" v-show="notification" shadow="hover"
                class="panel-notif">
                <!--<div slot="header">-->
                <el-row v-if="countNotification !== 0">
                    <el-col :span="24" v-for="(notif,index) in itemsNotification" :key="index">
                        <el-tooltip effect="dark" :content="'Penawaran: '+notif.subject.substr(0,40)"
                            placement="left" >
                            <div v-for="(subnotif,index2) in notif.notification" :key="index2">
                                <a style="text-decoration:none" :href="sub_site_url+'profile'">
                                <el-alert @close="markread({'id':notif.id,'idop':subnotif.idOperator})" v-if="subnotif.notifStatus === 'unread'"
                                    class="notif-alert" title="Penawaran" type="success" :description="subnotif.operator+' telah mengirimkan penawaran'"
                                    close-text="close">
                                </el-alert>
                                </a>
                            </div>
                        </el-tooltip>
                    </el-col>
                </el-row>
                <!--</div>-->
                <el-row v-if="countNotification === 0">
                    <el-col :span="24">
                        <el-alert type="info" title="Tidak ada notifikasi" close-text=" ">
                        </el-alert>
                    </el-col>
                </el-row>
            </el-card>
        </el-collapse-transition>
        <el-collapse-transition>
            <el-card style="border:0" :body-style="{'padding':'0px','margin':'0 auto'}" v-show="drop_down" shadow="hover"
                class="panel-user">
                <!--<div slot="header">-->
                <el-row>
                    <el-col :span="24">
                        <img :src="sub_base_url+'upload/images/default_profile.png'" alt="" class="profile">
                    </el-col>
                </el-row>
                <!--</div>-->
                <el-row>
                    <el-col :span="24">
                        <p class="profile-name">{{(users.length !==
                            0)?users[0].full_name:''}}</p>
                    </el-col>
                </el-row>
                <el-row>
                    <el-col :span="12">
                        <el-button @click="$emit('profile')" style="float:left" size="mini" icon="el-icon-setting" round>
                            Profile
                        </el-button>
                    </el-col>
                    <el-col :span="12">
                        <el-button @click="$emit('logout')" style="float: right" icon="el-icon-back" size="mini" round>Logout
                        </el-button>
                    </el-col>
                </el-row>
            </el-card>
        </el-collapse-transition>
    </div>
</template>
<script>
    module.exports = {
        props:[
            'notification',
            'countNotification',
            'itemsNotification',
            'sub_base_url',
            'drop_down',
            'users'
            ]
    }
</script>